Get Trade Volume
curl --request POST \
--url https://gateway.varchev.com/crypto/getTradeVolume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"pair": "XBTUSD"
}
'import requests
url = "https://gateway.varchev.com/crypto/getTradeVolume"
payload = { "pair": "XBTUSD" }
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pair: 'XBTUSD'})
};
fetch('https://gateway.varchev.com/crypto/getTradeVolume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"currency": "ZUSD",
"volume": "200709587.4223",
"fees": {
"XXBTZUSD": {
"fee": "0.1000",
"minfee": "0.1000",
"maxfee": "0.2600",
"tiervolume": "10000000.0000"
}
},
"fees_maker": {
"XXBTZUSD": {
"fee": "0.0000",
"minfee": "0.0000",
"maxfee": "0.1600",
"tiervolume": "10000000.0000"
}
}
}
}Private
Get Trade Volume
Note: If an asset pair is on a maker/taker fee schedule, the taker side is given in fees and maker side in fees_maker. For pairs not on maker/taker, they will only be given in fees.
POST
/
getTradeVolume
Get Trade Volume
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The body is of type object.
Response
200 - application/json
OK
The response is of type object.
⌘I

